Bug 113278 - Don't load USB modules when string "nomodules" exist in cmdline
Don't load USB modules when string "nomodules" exist in cmdline
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
1
All Linux
medium Severity low
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-11 18:22 EST by Marcus Alves Grando
Modified: 2014-03-16 22:41 EDT (History)
1 user (show)

See Also:
Fixed In Version: 7.47-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-16 21:22:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcus Alves Grando 2004-01-11 18:22:40 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6b)
Gecko/20031210

Description of problem:
Patch for don't load USB modules when "nomodules" exist in cmdline

Version-Release number of selected component (if applicable):
initscripts-7.42.2-1

How reproducible:
Always

Steps to Reproduce:
1.Append "nomodules" in grub.conf
2.Boot
3.When rc.sysinit start and try load usb modules error occurs.
    

Actual Results:  Error

Expected Results:  Check if exist "nomodules" in cmdline

Additional info:

Patch to correct this:

--
--- rc.sysinit.old      2004-01-11 21:09:37.867432896 -0200
+++ rc.sysinit  2004-01-11 21:09:23.866561352 -0200
@@ -179,7 +179,7 @@
 # Initialize USB controller and HID devices
 update_boot_stage RCusb
 usb=0
-if ! strstr "$cmdline" nousb; then
+if ! strstr "$cmdline" nousb && ! strstr "$cmdline" nomodules; then
   if ! LC_ALL=C fgrep -q "usb" /proc/devices 2>/dev/null ; then
     aliases=`/sbin/modprobe -c | awk '/^alias usb-controller/ { print
$3 }'`
     if [ -n "$aliases" -a "$aliases" != "off" ]; then
--
Comment 1 Bill Nottingham 2004-03-16 21:22:16 EST
Added in 7.47-1.

Note You need to log in before you can comment on or make changes to this bug.